Subject: Re: bug#24075: tls/https support in Guile (through r6rs binary ports?)

From: Christopher Allan Webber <[email-masked]>
Date: Mon, 07 Nov 2016 12:14:52 -0600

Ludovic Courtès writes:

> I think ‘ensure-gnutls’ would be exactly as in this patch, and the
> autoload hack would be exactly as shown above.

Got it!  Done...

> @xref generates a “See” for the beginning of a sentence, so it should
> be:
>
>   … support.  @xref{…}, for more information.

... and done!

> Also, “HTTPS” and “GnuTLS”.  :-)

Ooops, misssed that bit in the first commit which I had pushed, so I
made two commits. :)

> The rest is all good for me, so the only remaining bits are the autoload
> thing and maybe the bug you observed?

Yep!  It's now done... as of 8f1db9f we now have HTTPS support
out-of-the-box in Guile!  Party time!